#### D.15.14.25 intInverse

Procedure from library `multigrading.lib` (see multigrading_lib).

Purpose:
  compute the integral inverse of the intmat A.
  If det(A) is neither 1 nor -1 an error is returned.

Returns:
  intmat

Example:

    LIB "multigrading.lib";
    intmat A[3][3] =
    1,1,3,
    3,2,0,
    0,0,1;
    intmat B = intInverse(A);
    // should be the unit matrix
    print(A * B);
    ==>      1     0     0
    ==>      0     1     0
    ==>      0     0     1
    // another example
    intmat C[2][2] =
    2,1,
    3,2;
    intmat D  = intInverse(C);
    // should be the unit matrix
    print(C * D);
    ==>      1     0
    ==>      0     1
    kill A, B, C, D;

User manual for Singular version 4.4.1, 2025, generated by texi2html.